import request from "@/utils/request"

/** 入场隔离登记 — 分页列表 */
export function listEntryIsolation(query) {
  return request({
    url: "/tradeMarket/entryIsolation/list",
    method: "get",
    params: query
  })
}

/** 详情 */
export function getEntryIsolation(id) {
  return request({
    url: "/tradeMarket/entryIsolation/" + id,
    method: "get"
  })
}

/** 新增 */
export function addEntryIsolation(data) {
  return request({
    url: "/tradeMarket/entryIsolation",
    method: "post",
    data
  })
}

/** 修改 */
export function updateEntryIsolation(data) {
  return request({
    url: "/tradeMarket/entryIsolation",
    method: "put",
    data
  })
}

/** 删除 */
export function delEntryIsolation(ids) {
  return request({
    url: "/tradeMarket/entryIsolation/" + ids,
    method: "delete"
  })
}
